syntax = "proto3";

package v2ray.core.proxy.vmess.inbound;
option csharp_namespace = "V2Ray.Core.Proxy.Vmess.Inbound";
option go_package = "github.com/v2fly/v2ray-core/v5/proxy/vmess/inbound";
option java_package = "com.v2ray.core.proxy.vmess.inbound";
option java_multiple_files = true;

import "common/protocol/user.proto";
import "common/protoext/extensions.proto";

message DetourConfig {
  string to = 1;
}

message DefaultConfig {
  uint32 alter_id = 1;
  uint32 level = 2;
}

message Config {
  repeated v2ray.core.common.protocol.User user = 1;
  DefaultConfig default = 2;
  DetourConfig detour = 3;
  bool secure_encryption_only = 4;
}

message SimplifiedConfig{
  option (v2ray.core.common.protoext.message_opt).type = "inbound";
  option (v2ray.core.common.protoext.message_opt).short_name = "vmess";

  repeated string users = 1;
}
